当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 安装iptux出现错误,大家帮忙看看。谢谢
帖子发表于 : 2009-08-08 15:07 

注册: 2008-10-16 14:19
帖子: 28
送出感谢: 0 次
接收感谢: 0 次
一,解压完之后,运行./configure
cyq@cyq-desktop:~/桌面/iptux-0.4.5$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking for g++... g++
checking for C++ compiler default output file name... a.out
checking whether the C++ compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for style of include used by make... GNU
checking dependency style of g++... gcc3
checking for gcc... gcc
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
checking for gawk... (cached) mawk
checking for a BSD-compatible install... /usr/bin/install -c
checking whether ln -s works... yes
checking whether make sets $(MAKE)... (cached) yes
checking for ranlib... ranlib
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking for stdint.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for strings.h... (cached) yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking sys/vfs.h usability... yes
checking sys/vfs.h presence... yes
checking for sys/vfs.h... yes
checking for unistd.h... (cached) yes
checking for stdbool.h that conforms to C99... yes
checking for _Bool... yes
checking for inline... inline
checking for an ANSI C-conforming const... yes
checking for mode_t... yes
checking for size_t... yes
checking for ssize_t... yes
checking whether time.h and sys/time.h may both be included... yes
checking for uint16_t... yes
checking for uint32_t... yes
checking for uint64_t... yes
checking for uint8_t... yes
checking whether closedir returns void... no
checking whether gcc needs -traditional... no
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... yes
checking return type of signal handlers... void
checking whether lstat dereferences a symlink specified with a trailing slash... yes
checking whether stat accepts an empty string... no
checking for vprintf... yes
checking for _doprnt... no
checking for bzero... yes
checking for getcwd... yes
checking for gettimeofday... yes
checking for inet_ntoa... yes
checking for memmove... yes
checking for mkdir... yes
checking for rmdir... yes
checking for socket... yes
checking for strcasecmp... yes
checking for strchr... yes
checking for strerror... yes
checking for strncasecmp... yes
checking for strpbrk... yes
checking for strrchr... yes
checking for strstr... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GTK... configure: error: Package requirements (gtk+-2.0 >= 2.14.0) were not met:

Requested 'gtk+-2.0 >= 2.14.0' but version of GTK+ is 2.12.9

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables GTK_CFLAGS
and GTK_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

二:make
cyq@cyq-desktop:~/桌面/iptux-0.4.5$ make
make: *** 没有指明目标并且找不到 makefile。 停止。
三:make install
cyq@cyq-desktop:~/桌面/iptux-0.4.5$ sudo make install
make: *** 没有规则可以创建目标“install”。 停止。

这是怎么回事难道是因为这断吗?
Requested 'gtk+-2.0 >= 2.14.0' but version of GTK+ is 2.12.9

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables GTK_CFLAGS
and GTK_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
怎么解决,大家帮忙啊。谢谢。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 安装iptux出现错误,大家帮忙看看。谢谢
帖子发表于 : 2009-08-13 17:32 

注册: 2009-06-23 10:30
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
你遇到的问题我也遇到过~

建议在./configure 、make 以及 make install 的时候都加上sudo

我猜测是因为你之前安装过iptux-0.4.4的缘故

如果以上仍不能解决问题,建议用sudo apt-get -f 试试(安装必要的依赖关系)

或者 sudo dpkg --configure -a


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 安装iptux出现错误,大家帮忙看看。谢谢
帖子发表于 : 2009-09-23 19:03 
头像

注册: 2009-05-14 14:06
帖子: 317
送出感谢: 0 次
接收感谢: 0 次
同问


_________________
That is in my life!


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 安装iptux出现错误,大家帮忙看看。谢谢
帖子发表于 : 2009-10-07 16:37 

注册: 2009-09-12 20:56
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
在“新立德”中可以找到这个软件的安装包,当前版本是 0.4.4的版本。感觉比ipmsg还要先进一些。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 安装iptux出现错误,大家帮忙看看。谢谢
帖子发表于 : 2009-10-07 16:41 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
910的源里有最新的0.4.5版本了,以前也编译过iptux,现在不编译了,直接从源里拽就行了。 :em04
./configure时最好加上--prefix=/usr,只有sudo make install才需要sudo,前两个步骤无需要sudo的,你的配置过程中提示gtk的版本过老了。 :em06


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 安装iptux出现错误,大家帮忙看看。谢谢
帖子发表于 : 2010-09-17 20:54 

注册: 2007-04-25 21:45
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
虽然是老帖子 值得翻出来给自己留个记号
http://techbbs.zol.com.cn/1/60_1258.html
安装一个新版本就好
先用http下载那个lib然后安装就好~


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 安装iptux出现错误,大家帮忙看看。谢谢
帖子发表于 : 2011-04-29 20:32 

注册: 2009-09-12 20:56
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
checking for GTK... configure: error: Package requirements (gtk+-2.0 >= 2.14.0) were not met:

Requested 'gtk+-2.0 >= 2.14.0' but version of GTK+ is 2.12.9

这里才是问题关键哈,也就是gtk+版本太低了!或是版本不对,需要的是2.14..0以上的版本,而你的版本是2..12.9!


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 安装iptux出现错误,大家帮忙看看。谢谢
帖子发表于 : 2012-10-02 2:48 

注册: 2010-04-20 21:19
帖子: 194
地址: My gtalk:a132811@
系统: ArchLinux
送出感谢: 3
接收感谢: 1
withlzw 写道:
checking for GTK... configure: error: Package requirements (gtk+-2.0 >= 2.14.0) were not met:

Requested 'gtk+-2.0 >= 2.14.0' but version of GTK+ is 2.12.9

这里才是问题关键哈,也就是gtk+版本太低了!或是版本不对,需要的是2.14..0以上的版本,而你的版本是2..12.9!

我的是装上最新的gtk3-devel 就没有问题的。


_________________
http://hilojack.sinaapp.com
i3 M370(2.4G)/500G/8G/OpenGL:Gallium 0.4 on nvidia 3100M


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译